Proxmox "QEMU version 'x.x.x' is too old"问题的解决方法

最近在Proxmox操作时发现,由于集群中有一台服务器的Proxmox安装时间较早,因故在迁移虚拟机到该服务器时遇到了这样一个错误:Installed QEMU version 'x.x.x' is too old to run machine type 'pc-q35-5.0+pve0'。具体迁移报错日志摘录如下:

操作目标:将VM 101从promoxserver1 (10.1.1.2)在线迁移至proxmoxserver2 (10.1.1.1)。

起初,X-osadmin尝试将该虚拟机的机型更换成i440fx,问题依旧。于是经过日志分析和资料查找,采用如下解决方案:

在迁移目标机器上执行:apt dist-upgrade

完成后重启该服务器,问题解决!

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注

You must enable javascript to see captcha here!